[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.WriteState

Writes the component to a stream.

## Declaration

Source position: classesh.inc line 1958

`public procedure TComponent.WriteState(`
`Writer: TWriter`
`); virtual;`

## Description

WriteState writes the component's current state to a stream through the writer object writer. Values for all published properties of the component can be written to the stream. Normally there is no need to call WriteState directly. The streaming system calls WriteState itself.

The TComponent implementation of WriteState simply calls TWriter.WriteData. Descendant classes can, however, override WriteStateto provide additional processing of stream data.

## See also

ReadState |  | Read the component's state from a stream.
TStream.WriteComponent |  | Write component data to the stream
TWriter.WriteData